Darkwrath

Members
  • Content Count

    2
  • Joined

  • Last visited

About Darkwrath

  • Rank
    Member
  • Birthday 01/01/1995
  1. So I want to play on a tekkit server, but it doesn't allow me too since I have a 1.5 version and most servers have 1.3. How can I fix this?